package cz.moneta.test.dsl.mwf.taxresidency;

import cz.moneta.test.harness.support.mwf.MwfRequest;
import cz.moneta.test.harness.support.mwf.Parameter;

public interface MWFIL7 extends MwfRequest<MWFIL7, MWFIL7Response> {

    @Parameter(name = "CIF")
    MWFIL7 cif(String cif);
    @Parameter(name = "CRSFlag")
    MWFIL7 cRSFlag(String cRSFlag);
    @Parameter(name = "Data")
    MWFIL7 data(java.util.List<MWFIL7Data> data);
    @Parameter(name = "DatumUkonceniDedickehoRizeni")
    MWFIL7 datumUkonceniDedickehoRizeni(java.util.Date datumUkonceniDedickehoRizeni);
    @Parameter(name = "InstPtKey")
    MWFIL7 instPtKey(Long instPtKey);
    @Parameter(name = "PoleKoduCRSZemi")
    MWFIL7 poleKoduCRSZemi(String poleKoduCRSZemi);
    @Parameter(name = "PoleKoduZemiPobocek")
    MWFIL7 poleKoduZemiPobocek(String poleKoduZemiPobocek);
    @Parameter(name = "PosledniZapisCRS")
    MWFIL7 posledniZapisCRS(java.util.Date posledniZapisCRS);
    @Parameter(name = "TypFinancniInstituce")
    MWFIL7 typFinancniInstituce(String typFinancniInstituce);
    @Parameter(name = "ZakladniAtributyFlag")
    MWFIL7 zakladniAtributyFlag(String zakladniAtributyFlag);
    @Parameter(name = "ZemeCRSFlag")
    MWFIL7 zemeCRSFlag(String zemeCRSFlag);
    @Parameter(name = "ZemeDanoveRegistraceFlag")
    MWFIL7 zemeDanoveRegistraceFlag(String zemeDanoveRegistraceFlag);
    @Parameter(name = "ZemePobocekFlag")
    MWFIL7 zemePobocekFlag(String zemePobocekFlag);
}